# DepositAuthorizedResponse | xrpl
Documentation for xrpl

# Interface DepositAuthorizedResponse

Expected response from a DepositAuthorizedRequest.

#### Hierarchy

- BaseResponse
  - DepositAuthorizedResponse

- Defined in packages/xrpl/src/models/methods/depositAuthorized.ts:32

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:31

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:30

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:24

### result

result: {
deposit_authorized: boolean;
destination_account: string;
ledger_current_index?: number;
ledger_hash?: string;
ledger_index?: number;
source_account: string;
validated?: boolean;
}

#### Type declaration

- ##### deposit_authorized: boolean

  Whether the specified source account is authorized to send payments directly to the destination account. If true, either the destination account does not require Deposit Authorization or the source account is preauthorized.

- ##### destination_account: string

  The destination account specified in the request.

- ##### `Optional` ledger_current_index?: number

  The ledger index of the current in-progress ledger version, which was used to generate this response.

- ##### `Optional` ledger_hash?: string

  The identifying hash of the ledger that was used to generate this Response.

- ##### `Optional` ledger_index?: number

  The ledger index of the ledger version that was used to generate this Response.

- ##### source_account: string

  The source account specified in the request.

- ##### `Optional` validated?: boolean

  If true, the information comes from a validated ledger version.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/depositAuthorized.ts:33

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:25

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:26

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:28

### `Optional` warnings

warnings?: Warning[]

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:29

Generated using TypeDoc